Skip to content

# Interface: PageRegistration

## Hierarchy

- PageRegistration

## Index

### Properties

- components
- id
- params

## Properties

### components

• components: PageComponents

Defined in src/extensions/registries/page-registry.ts:17

### `Optional` id

• id? : string

Defined in src/extensions/registries/page-registry.ts:15

Page ID, part of extension's page url, must be unique within same extension When not provided, first registered page without "id" would be used for page-menus without target.pageId for same extension

### `Optional` params

• params? : PageParams‹string | ExtensionPageParamInit›

Defined in src/extensions/registries/page-registry.ts:16